VRPlatformVRPlatform
Reports

/reports/owner-statement-summaries-per-layout/details/{contactId}

Owner statement summary detail aggregated by listing, month, reservation, or booking channel (per layout)

GET
/reports/owner-statement-summaries-per-layout/details/{contactId}
X-API-Key<token>

API key provided in dashboard

In: header

Path Parameters

contactId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Query Parameters

view*string
Value in"listing" | "month" | "reservation" | "bookingChannel"
startAt*string
endAt*string
listingIds?string

comma separated listings

currency?string
viewAs?string
Default"manager"
Value in"owner" | "manager"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/reports/owner-statement-summaries-per-layout/details/497f6eca-6276-4993-bfeb-53cbbbba6f08?view=listing&startAt=string&endAt=string"
{
  "currency": "string",
  "contact": {
    "contactId": "string",
    "name": "string",
    "firstName": "string",
    "email": "user@example.com",
    "phone": "string"
  },
  "financials": {
    "balanceStart": 0,
    "netRevenue": 0,
    "expenses": 0,
    "reserve": 0,
    "payouts": 0,
    "netIncome": 0,
    "currentBalance": 0,
    "balanceEnd": 0
  },
  "layouts": [
    {
      "layoutId": "string",
      "layoutName": "string",
      "hideBookingChannel": true,
      "netRevenueSection": {
        "title": "string",
        "rows": [
          {
            "id": "string",
            "title": "string",
            "ownerStatements": [
              {
                "id": "string",
                "ownershipPeriodId": "c57a699e-6bf1-422b-96b5-7c5d439de4ed",
                "status": "draft",
                "month": "2024-01",
                "currency": "string"
              }
            ],
            "columns": [
              {
                "title": "string",
                "value": 0,
                "formatted": "string",
                "accountIds": [
                  "string"
                ]
              }
            ]
          }
        ],
        "subtotal": {
          "title": "string",
          "columns": [
            {
              "title": "string",
              "value": 0,
              "formatted": "string",
              "accountIds": [
                "string"
              ]
            }
          ]
        },
        "aggregate": true
      },
      "otherSections": [
        {
          "title": "string",
          "rows": [
            {
              "id": "string",
              "title": "string",
              "ownerStatements": [
                {
                  "id": "string",
                  "ownershipPeriodId": "c57a699e-6bf1-422b-96b5-7c5d439de4ed",
                  "status": "draft",
                  "month": "2024-01",
                  "currency": "string"
                }
              ],
              "columns": [
                {
                  "title": "string",
                  "value": 0,
                  "formatted": "string",
                  "accountIds": [
                    "string"
                  ]
                }
              ]
            }
          ],
          "subtotal": {
            "title": "string",
            "columns": [
              {
                "title": "string",
                "value": 0,
                "formatted": "string",
                "accountIds": [
                  "string"
                ]
              }
            ]
          }
        }
      ],
      "payoutsSection": {
        "title": "string",
        "rows": [
          {
            "id": "string",
            "title": "string",
            "ownerStatements": [
              {
                "id": "string",
                "ownershipPeriodId": "c57a699e-6bf1-422b-96b5-7c5d439de4ed",
                "status": "draft",
                "month": "2024-01",
                "currency": "string"
              }
            ],
            "columns": [
              {
                "title": "string",
                "value": 0,
                "formatted": "string",
                "accountIds": [
                  "string"
                ]
              }
            ]
          }
        ],
        "subtotal": {
          "title": "string",
          "columns": [
            {
              "title": "string",
              "value": 0,
              "formatted": "string",
              "accountIds": [
                "string"
              ]
            }
          ]
        }
      }
    }
  ],
  "issues": [
    {
      "code": "orphanOwnerJournalEntries",
      "severity": "warning",
      "context": {
        "affected": 0,
        "startAt": "string",
        "endAt": "string"
      },
      "message": "string"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}